> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream Chat Messages

> Stream persisted SSE events for a turn from durable storage.



## OpenAPI

````yaml /openapi/em-talk2data-v2.yaml get /talk2data/chat/messages/sessions/{session_id}/turns/{turn_id}/stream
openapi: 3.1.0
info:
  title: Talk to Data Service
  version: 3.2.0-dev1
servers: []
security: []
paths:
  /talk2data/chat/messages/sessions/{session_id}/turns/{turn_id}/stream:
    get:
      tags:
        - chat
      summary: Stream Chat Messages
      description: Stream persisted SSE events for a turn from durable storage.
      operationId: >-
        stream_chat_messages_talk2data_chat_messages_sessions__session_id__turns__turn_id__stream_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            description: Session identifier
            title: Session Id
          description: Session identifier
        - name: turn_id
          in: path
          required: true
          schema:
            type: string
            description: Turn identifier
            title: Turn Id
          description: Turn identifier
        - name: x-project-id
          in: header
          required: true
          schema:
            type: string
            description: Project identifier
            title: X-Project-Id
          description: Project identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '403':
          description: Access denied
        '404':
          description: Session not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````